Name: ekiga
Version: 1.99.1
Release: alt0.M30.0.2

Summary: Gnome H.323 compatible client
Summary(ru_RU.KOI8-R):   Gnome      H.323

License: GPL
Group: Networking/Chat
Url: http://www.ekiga.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://snapshots.gnomemeeting.net/cvs/%name-cvs.tar.gz
#Source: http://www.ekiga.org/downloads/beta2/sources/%name-%version.tar.bz2

# new sisyphus macros
%define _desktopdir /usr/share/applications
%define _pixmapsdir /usr/share/pixmaps

%define pwlib_version 1.11.0
%define opal_version 2.3.0
%define gnome_doc_utils_ver 0.3.2

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): scrollkeeper
Requires(post,postun): desktop-file-utils
BuildPreReq: GConf2
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

BuildPreReq: gnome-common >= 2.12.0
BuildPreReq: gnome-doc-utils >= %gnome_doc_utils_ver

# manually removed: gcc-g77 eric glibc-devel-static libqt4-core
# Automatically added by buildreq on Sun Jan 22 2006
BuildRequires: GConf2 ORBit2-devel esound-devel evolution-data-server-devel fontconfig-devel freetype2-devel gcc-c++ glib2-devel gnome-doc-utils gnome-vfs2-devel libGConf2-devel libSDL-devel libart_lgpl-devel libatk-devel libaudiofile-devel libavahi-devel libavahi-glib-devel libbonobo2-devel libbonoboui-devel libcairo-devel libglitz-devel libgnome-devel libgnome-keyring-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libopal-devel libpango-devel libpng-devel libpopt-devel libpw-devel libstdc++-devel libxml2-devel perl-XML-Parser pkg-config python-base python-modules-compiler python-modules-encodings python-modules-libxml2 scrollkeeper xorg-x11-devel zlib-devel

BuildRequires: libopal-devel >= %opal_version
BuildRequires: libpw-devel >= %pwlib_version
Requires: libpw-plugins

Requires: libxml2 >= 2.6.3

Provides: gnomemeeting
Obsoletes: gnomemeeting

%description
Ekiga is an IP phone client with full SIP and H.323 support.

%description -l ru_RU.KOI8-R
Ekiga       H.323  SIP,   Gnome.

%prep
%setup -q -n %name
NO_CONFIGURE=1 ./autogen.sh

%build
%configure --disable-schemas-install \
	--sysconfdir=/etc
#	--enable-dbus

%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name --with-gnome

%post
#echo YES | gnomemeeting-config-tool --install-schemas
%gconf2_install %name
%update_menus
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%doc README ChangeLog FAQ AUTHORS TODO
%_bindir/*
#%_datadir/gnome/apps/Internet/*
%_desktopdir/*
#%_datadir/gnome/help/%name
%_libdir/bonobo/servers/%name.server
%_pixmapsdir/*
%_datadir/sounds/%name/
%_man1dir/*
# NOTE: overwrite schemas settings %config(noreplace)
%_sysconfdir/gconf/schemas/*

%changelog
* Sun Feb 26 2006 Yuri N. Sedunov <aris@altlinux.ru> 1.99.1-alt0.M30.0.2
- backport to Compact 3.0

* Sat Feb 25 2006 Yuri N. Sedunov <aris@altlinux.ru> 1.99.1-alt0.2
- current cvs snapshot.

* Tue Feb 14 2006 Vitaly Lipatov <lav@altlinux.ru> 1.99.1-alt0.1
- new version (2.0 BETA 2)
- remove generic INSTALL

* Sat Jan 21 2006 Vitaly Lipatov <lav@altlinux.ru> 1.99.0-alt0.1
- prerelease (was gnomemeeting)

* Sat Jan 07 2006 Vitaly Lipatov <lav@altlinux.ru> 1.9.9-alt0.1cvs20060107
- new version

* Fri Sep 09 2005 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt0.1
- new version (D-BUS disabled)

* Thu Jul 28 2005 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt4
- disable dbus using (due incompatible new API in dbus)

* Fri May 27 2005 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt3
- fix dbus build requires

* Mon May 02 2005 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt2
- fix libpw-plugins requires

* Sun Mar 20 2005 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- new version (patches from FC3)

* Mon Feb 07 2005 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt1
- new version
- disable howl (there is too old version in Sisyphus)

* Tue Jun 15 2004 Stanislav Ievlev <inger@altlinux.org> 1.0.2-alt1.2
- NMU: remove support for old alternatives
  (this alternatives wasn't work)

* Fri Jun 11 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt1.1
- rebuild with correct libopenh323
- change group to Chat

* Sat May 22 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt1
- new version
- add require to needed version of libxml2
- remove COPYING from doc

* Sat Jan 03 2004 Vitaly Lipatov <lav@altlinux.ru> 0.98.5-alt1
- new version
- build with gcc3.3

* Tue Mar 25 2003 Vitaly Lipatov <lav@altlinux.ru> 0.96.1-alt1
- new version

* Wed Dec 04 2002 Vitaly Lipatov <lav@altlinux.ru> 0.94.1-alt3
- rebuild with libpw
- remove directfb requires
- add generic name to menu
- spec cleanup

* Sun Dec 01 2002 Vitaly Lipatov <lav@altlinux.ru> 0.94.1-alt2
- rebuild with libspeex

* Sun Nov 24 2002 Vitaly Lipatov <lav@altlinux.ru> 0.94.1-alt1
- new version 0.94.1
- new icons
- move to the video group
- several new fixes/adaptions (from Fri Oct 25 2002 Florin <florin@mandrakesoft.com> 0.94-0.1.1mdk)
- adapted for pwlib (libpwlib), openh323 (libopenh323)
- spec cleanup, summary and description are translated in russian
- Speex codec support exist but temporary disabled
- updated ru.po from Leon Kanter <leon@asplinux.ru>

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 0.93.1-alt3
- rebuilt with new directfb

* Wed Oct 09 2002 AEN <aen@altlinux.ru> 0.93.1-alt2
- spec file cleanup

* Tue Oct 08 2002 AEN <aen@altlinux.ru> 0.93.1-alt1
- new version

* Wed Mar 13 2002 AEN <aen@logic.ru> 0.85.1-alt1
- new version

* Tue Jan 08 2002 AEN <aen@logic.ru> 0.12.2-alt1
- new version

* Wed Oct 10 2001 AEN <aen@logic.ru> 0.11-alt1
- first build for Sisyphus

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 0.11-1mdk
- 0.11

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-0.PRE3.3mdk
- BuildRequires: gettext-devel
- Remove redundant BuildRequires

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.11-0.PRE3.2mdk
- added dynamic desktop entry

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.11-0.PRE3.1mdk
- update the versions in Requires & Buildrequires sections
- use /usr/include/openh323 instead of /usr/include/oh323
- use -lh323_linux_x86_r instead if -loh323
- 0.11PRE3

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.10-8mdk
- add the versions in the Require section
- fix the permissions of some doc files

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-7mdk
- Fix menu entry for applet support
- Add missing directory

* Mon Aug 20 2001 Florin <florin@mandrakesoft.com> 0.10-6mdk
- rebuild due too pwlib fixes

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-5mdk
- update the xpm icons

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-4mdk
- new modified sources

* Sat Aug 18 2001 Florin <florin@mandrakesoft.com> 0.10-3mdk
- slighlty modified sources
- use the new PTLIB_INCLUDE_DIR & OPENH323_INCLUDE_DIR var
- don't need the old patches anymore
- add the ptlib patch because of pwlib

* Thu Aug 16 2001 Florin <florin@mandrakesoft.com> 0.10-2mdk
- added patches (more elegant)

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 0.10-1mdk
- first Mandrake release
